classification
Title: Python Uninstaller fails to clean up the old path variables when uninstalling
Type: behavior Stage: resolved
Components: Windows Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: brucelong, iritkatriel, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2020-01-29 20:19 by brucelong, last changed 2021-10-20 18:25 by steve.dower. This issue is now closed.

Messages (3)
msg360984 - (view) Author: CJ Long (brucelong) Date: 2020-01-29 20:19
I had Python 3.7 installed on my machine. However, I started having issues with it, so I uninstalled Python. However, when I reinstalled and attempted to run pip from Powershell, the old path was still in my variable, and therefore, could not run pip. Python still works.
msg404375 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-10-19 23:05
Actually I don't know if this is a windows issue, the report doesn't say.
msg404507 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-10-20 18:25
It seems like it is, however, it sounds like the OP didn't restart PowerShell after the uninstall or reinstall, which is necessary (though not mentioned, but given it would usually be missed including text to that effect wouldn't have any impact anyway).

Basically, the installer correctly sends the system-wide notification that it has updated environment variables. PowerShell ignores it (quite correctly), which means we can't do anything to fix it.
History
Date User Action Args
2021-10-20 18:25:08steve.dowersetstatus: open -> closed
resolution: third party
messages: + msg404507

stage: resolved
2021-10-19 23:05:56iritkatrielsetnosy: + iritkatriel
messages: + msg404375
2021-10-19 23:05:18iritkatrielsetnosy: + tim.golden, steve.dower, zach.ware, paul.moore
components: + Windows, - Installation
2020-01-29 20:19:05brucelongcreate